Bug 135300 - update for ports/www/webcheck
Summary: update for ports/www/webcheck
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-05 21:30 UTC by reed
Modified: 2009-06-28 02:43 UTC (History)
0 users

See Also:


Attachments
file.shar (4.25 KB, text/plain)
2009-06-05 21:30 UTC, reed
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description reed 2009-06-05 21:30:02 UTC
ports/www/webcheck is old.
Website says has new maintainer.

I updated it and used it. It works for me.

Attached is a small tarball with:
drwxr-xr-x  2 root     wheel          0 Jun  5 15:20 www/webcheck
-rw-r--r--  1 root     wheel       1283 Jun  5 12:48 www/webcheck/Makefile
-rw-r--r--  1 root     wheel        201 Jun  5 12:22 www/webcheck/distinfo
-rw-r--r--  1 root     wheel        425 May 15  2002 www/webcheck/pkg-descr
-rw-r--r--  1 root     wheel       1622 Jun  5 12:48 www/webcheck/pkg-plist

I didn't change the MAINTAINER. I assume that should be done too. Maybe pkg-descr could be improved too.

(I changed the tgz file to a shar file so I could upload it using this send-pr.html interface.)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-06-05 21:30:12 UTC
Maintainer of www/webcheck,

Please note that PR ports/135300 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135300

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-06-05 21:30:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 mwm 2009-06-06 03:02:53 UTC
On Fri, 5 Jun 2009 20:30:12 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of www/webcheck,
> 
> Please note that PR ports/135300 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/135300

The software - not website - has a new maintainer. Since this isn't a
patch, but a complete port, the MAINTAINER should be changed to Jeremy
(if he's willing) and then used as is. As the current maintainer, I
have no objection to that.

Jeremy - as a port maintainer, you should submit patches, not
archives. That's what committers expect.

	  <mike
-- 
Mike Meyer <mwm@mired.org>		http://www.mired.org/consulting.html
Independent Network/Unix/Perforce consultant, email for more information.

O< ascii ribbon campaign - stop html mail - www.asciiribbon.org
Comment 4 Philip M. Gollucci freebsd_committer 2009-06-23 19:42:37 UTC
State Changed
From-To: feedback->closed

please submit a diff instead
Comment 5 Wesley Shields freebsd_committer 2009-06-23 20:34:38 UTC
State Changed
From-To: closed->open

I do not believe this PR should have been closed. It is not that difficult to come up with a patch from the submitted shar. If there are any problems with it I will work with Jeremy to address them. I believe this is a very work-able PR even if it didn't come in the normal form. 


Comment 6 Wesley Shields freebsd_committer 2009-06-23 20:34:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I do not believe this PR should have been closed. It is not that difficult to come up with a patch from the submitted shar. If there are any problems with it I will work with Jeremy to address them. I believe this is a very work-able PR even if it didn't come in the normal form.
Comment 7 Wesley Shields freebsd_committer 2009-06-28 02:43:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!